---
title: Delete Worker
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Workers](https://developers.cloudflare.com/api/go/resources/workers)

[Scripts](https://developers.cloudflare.com/api/go/resources/workers/subresources/scripts)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Worker

client.Workers.Scripts.Delete(ctx, scriptName, params) (\*[ScriptDeleteResponse](<https://developers.cloudflare.com/api/go/resources/workers#(resource)%20workers.scripts%20%3E%20(model)%20ScriptDeleteResponse%20%3E%20(schema)>), error)

DELETE/accounts/{account\_id}/workers/scripts/{script\_name}

Delete your worker. This call has no response body on a successful delete.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers Scripts Write`

##### ParametersExpand Collapse

scriptName string

Name of the script.

[Link to this property](<#(resource)%20workers.scripts%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20script_name%20%3E%20(schema)>)

<details>

<summary>

params ScriptDeleteParams

</summary>

AccountID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20workers.scripts%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Force param.Field\[bool]Optional

Query param: If true, delete the Worker even when other Workers still reference it. Service bindings in those Workers may be left broken. Durable Object namespaces implemented by the deleted Worker are deleted even if other Workers reference them.

<a href="#(resource)%20workers.scripts%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20force">Link to this property</a>

</details>

[Link to this property](<#(resource)%20workers.scripts%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

type ScriptDeleteResponse interface{…}

[Link to this property](<#(resource)%20workers.scripts%20%3E%20(model)%20ScriptDeleteResponse%20%3E%20(schema)>)

### Delete Worker

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/workers"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  script, err := client.Workers.Scripts.Delete(
    context.TODO(),
    "this-is_my_script-01",
    workers.ScriptDeleteParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", script)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {}
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {}
}
```